# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_f4mfx11_l_/clone/recipe, last modified Tue May  9 17:36:17 2023
# ------------------------------------------------

package:
  name: mlflow-skinny
  version: 2.3.1
source:
  sha256: 63439397b2718ce5747288ef5475f46b3716b370a517be3e3c67b799a247a186
  url: https://pypi.io/packages/source/m/mlflow/mlflow-2.3.1.tar.gz
build:
  entry_points:
    - mlflow=mlflow.cli:cli
  number: '0'
  script: '

    export MLFLOW_SKINNY=1


    /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_f4mfx11_l_/croot/mlflow-skinny_1683672329947/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv

    '
  string: py311h8842c67_0
requirements:
  host:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - libffi 3.4.2 hecd8cb5_6
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - pip 23.0.1 py311hecd8cb5_0
    - python 3.11.3 h1fd4e5f_0
    - readline 8.2 hca72f7f_0
    - setuptools 66.0.0 py311hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - click >=7.0,<9.0
    - cloudpickle <3.0
    - databricks-cli >=0.8.7,<1
    - entrypoints <1.0
    - gitpython >=2.1.0,<4.0
    - importlib-metadata <7,>=3.7.0,!=4.7.0
    - packaging <24
    - protobuf >=3.12.0,<5.0
    - python >=3.11,<3.12.0a0
    - pytz <2024
    - pyyaml >=5.1,<7.0
    - requests >=2.17.3,<3.0
    - sqlparse >=0.4.0,<1.0
  run_constrained:
    - fastai >=2.4.1
    - mlflow <0a0
    - mxnet !=1.8.0
    - onnx >=1.11.0
    - pytorch_lightning >=1.5.10
    - shap >=0.40
    - spacy >=3.3.0
    - tensorflow >=2.8.0
    - torch >=1.11.0
    - torchvision >=0.12.0
    - xgboost >=0.82
test:
  commands:
    - mlflow --help
    - pip check
  imports:
    - mlflow
    - mlflow.projects
    - mlflow.protos
    - mlflow.rfunc
    - mlflow.store
    - mlflow.tracking
    - mlflow.utils
  requires:
    - pip
about:
  description: 'MLflow Skinny is a lightweight MLflow package without SQL storage,
    server,

    UI, or data science dependencies.

    '
  dev_url: https://github.com/mlflow/mlflow
  doc_source_url: https://github.com/mlflow/mlflow/tree/master/docs
  doc_url: https://mlflow.org
  home: https://mlflow.org/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE.txt
  license_url: https://github.com/AnacondaRecipes/mlflow-feedstock/blob/main/LICENSE.txt
  summary: 'MLflow Skinny: A Lightweight Machine Learning Lifecycle Platform Client'
extra:
  copy_test_source_files: true
  feedstock-name: mlflow
  final: true
  flow_run_id: f46e3dfa-850e-4131-85d3-e817eb392dab
  recipe-maintainers:
    - aarondav
    - ahirreddy
    - andrewmchen
    - aveshcsingh
    - dbczumar
    - harupy
    - janjagusch
    - jaroslawk
    - mateiz
    - mparkhe
    - pogil
    - smurching
    - sueann
    - tomasatdatabricks
    - xhochy
    - zangr
  remote_url: git@github.com:AnacondaRecipes/mlflow-feedstock.git
  sha: 5bb8c854b18e1f980575648a6efad9c851da1404
